RagTime5SpreadsheetInternal::Sheet Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
RagTime5SpreadsheetInternal::Sheet Struct Reference

internal: a structure used to store a sheet in RagTime5SpreadsheetInternal More...

## Classes
struct | Plane
| a plane: a list of rows map More...
struct | Row
| a row: a list of cell map More...

## Public Member Functions
| Sheet ()
| constructor More...
std::string | getName (int plane) const
| returns a name corresponding to a plane More...
void | increasePlaneSizeIfNeeded (int newPlane)
| increase the number of planes if need More...
int | getNumPlanes () const
| returns the number of planes More...
void | setPLCValues (MWAWVec3i const &minPos, MWAWVec3i const &maxPos, int plcType, int plcId)
| stores a plc More...
void | setMergedCells (MWAWVec3i const &minPos, MWAWVec3i const &maxPos)
| stores an union of cells More...
float | getRowHeight (int row) const
| returns the row height in point More...
void | setRowsHeight (MWAWVec2i const &rows, float height)
| sets the row heights More...
float | getColWidth (int col) const
| returns the col width in point More...
std::vector< float > | getColumnWidths (std::vector< int > &repeated) const
| returns the col width dimension in point More...
void | setColsWidth (MWAWVec2i const &cols, float width)
| sets the row widths More...
MWAWVec2f | getCellDimensions (MWAWVec2i const &position, int plane) const
| returns the cell dimension More...
MWAWVec2i | getBottomRightCell (MWAWVec2i const &position, int plane) const
| returns the bottom right cell More...
MWAWVec2i | getSpan (MWAWVec2i const &position, int plane) const
| returns the span value corresponding to an id More...
int | getGraphicStyleId (int id) const
| returns the graphic id More...
bool | getTextPLC (int id, TextPLC &plc) const
| retrieves the text plc More...

## Public Attributes
std::string | m_name
| the sheet name More...
int | m_textboxZoneId
| the text zone id More...
float | m_colWidthDef
| the default col width in point More...
std::map< MWAWVec2i, float > | m_colWidthsMap
| the col widths: map for cols positions to width in points More...
float | m_rowHeightDef
| the default row height in point More...
std::map< MWAWVec2i, float > | m_rowHeightsMap
| the row heights: map from rows positions to height in points More...
std::map< MWAWVec3i, MWAWVec3i > | m_unitedCellMap
| the list of united cell: map from TL cell to RB cell More...
std::vector< CellValue > | m_valuesList
| the list of values More...
std::vector< Plane > | m_planesList
| the list of planes More...
std::vector< GraphicPLC > | m_graphicPLCList
| the graph plc More...
GraphicPLC | m_defGraphicPLC
| the default graphic plc More...
std::vector< TextPLC > | m_textPLCList
| the text plc More...
TextPLC | m_defTextPLC
| the default text plc More...
BorderPLC | m_defBordersPLC [2]
| the default border plc (vertical and horizontal) More...
MWAWFont | m_defaultFont
| the default font (Palatino, 12) More...
MWAWParagraph | m_defaultParagraph
| the default paragraph More...
std::vector< RagTime5StructManager::ZoneLink > | m_pictureList
| the list of picture zone More...
bool | m_isSent
| a flag to know if the sheet has been sent More...

## Detailed Description

internal: a structure used to store a sheet in RagTime5SpreadsheetInternal

## Constructor & Destructor Documentation

RagTime5SpreadsheetInternal::Sheet::Sheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::getBottomRightCell | ( | MWAWVec2i const & | position,
|  | int | plane
| ) |  | const
| inline

returns the bottom right cell

Referenced by RagTime5Spreadsheet::send().

MWAWVec2f RagTime5SpreadsheetInternal::Sheet::getCellDimensions | ( | MWAWVec2i const & | position,
|  | int | plane
| ) |  | const
| inline

returns the cell dimension

Referenced by RagTime5Spreadsheet::send().

std::vector<float> RagTime5SpreadsheetInternal::Sheet::getColumnWidths | ( | std::vector< int > & | repeated | ) | const
| inline

returns the col width dimension in point

Referenced by RagTime5Spreadsheet::send().

float RagTime5SpreadsheetInternal::Sheet::getColWidth | ( | int | col | ) | const
| inline

returns the col width in point

int RagTime5SpreadsheetInternal::Sheet::getGraphicStyleId | ( | int | id | ) | const
| inline

returns the graphic id

Referenced by RagTime5Spreadsheet::send().

std::string RagTime5SpreadsheetInternal::Sheet::getName | ( | int | plane | ) | const
| inline

returns a name corresponding to a plane

Referenced by RagTime5Spreadsheet::send().

int RagTime5SpreadsheetInternal::Sheet::getNumPlanes | ( |  | ) | const
| inline

returns the number of planes

Referenced by RagTime5Spreadsheet::send().

float RagTime5SpreadsheetInternal::Sheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row height in point

Referenced by RagTime5Spreadsheet::send().

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::getSpan | ( | MWAWVec2i const & | position,
|  | int | plane
| ) |  | const
| inline

returns the span value corresponding to an id

Referenced by RagTime5Spreadsheet::send().

bool RagTime5SpreadsheetInternal::Sheet::getTextPLC | ( | int | id,
|  | TextPLC & | plc
| ) |  | const
| inline

retrieves the text plc

Referenced by RagTime5Spreadsheet::send().

void RagTime5SpreadsheetInternal::Sheet::increasePlaneSizeIfNeeded | ( | int | newPlane | ) |
| inline

increase the number of planes if need

void RagTime5SpreadsheetInternal::Sheet::setColsWidth | ( | MWAWVec2i const & | cols,
|  | float | width
| ) |  |
| inline

sets the row widths

Referenced by RagTime5Spreadsheet::readSheetDimensions().

void RagTime5SpreadsheetInternal::Sheet::setMergedCells | ( | MWAWVec3i const & | minPos,
|  | MWAWVec3i const & | maxPos
| ) |  |
| inline

stores an union of cells

Referenced by RagTime5Spreadsheet::readCellBlocks().

void RagTime5SpreadsheetInternal::Sheet::setPLCValues | ( | MWAWVec3i const & | minPos,
|  | MWAWVec3i const & | maxPos,
|  | int | plcType,
|  | int | plcId
| ) |  |
| inline

stores a plc

Referenced by RagTime5Spreadsheet::readValuesTree().

void RagTime5SpreadsheetInternal::Sheet::setRowsHeight | ( | MWAWVec2i const & | rows,
|  | float | height
| ) |  |
| inline

sets the row heights

Referenced by RagTime5Spreadsheet::readSheetDimensions().

## Member Data Documentation

float RagTime5SpreadsheetInternal::Sheet::m_colWidthDef

the default col width in point

std::map<MWAWVec2i, float> RagTime5SpreadsheetInternal::Sheet::m_colWidthsMap

the col widths: map for cols positions to width in points

MWAWFont RagTime5SpreadsheetInternal::Sheet::m_defaultFont

the default font (Palatino, 12)

Referenced by RagTime5Spreadsheet::send().

MWAWParagraph RagTime5SpreadsheetInternal::Sheet::m_defaultParagraph

the default paragraph

Referenced by RagTime5Spreadsheet::send().

BorderPLC RagTime5SpreadsheetInternal::Sheet::m_defBordersPLC[2]

the default border plc (vertical and horizontal)

Referenced by RagTime5Spreadsheet::send().

GraphicPLC RagTime5SpreadsheetInternal::Sheet::m_defGraphicPLC

the default graphic plc

Referenced by RagTime5Spreadsheet::send().

TextPLC RagTime5SpreadsheetInternal::Sheet::m_defTextPLC

the default text plc

Referenced by RagTime5Spreadsheet::send().

std::vector<GraphicPLC> RagTime5SpreadsheetInternal::Sheet::m_graphicPLCList

the graph plc

bool RagTime5SpreadsheetInternal::Sheet::m_isSent

a flag to know if the sheet has been sent

Referenced by RagTime5Spreadsheet::send().

std::string RagTime5SpreadsheetInternal::Sheet::m_name

the sheet name

Referenced by RagTime5Spreadsheet::send().

std::vector<RagTime5StructManager::ZoneLink> RagTime5SpreadsheetInternal::Sheet::m_pictureList

the list of picture zone

Referenced by RagTime5Spreadsheet::send().

std::vector<Plane> RagTime5SpreadsheetInternal::Sheet::m_planesList

the list of planes

Referenced by RagTime5Spreadsheet::send().

float RagTime5SpreadsheetInternal::Sheet::m_rowHeightDef

the default row height in point

std::map<MWAWVec2i, float> RagTime5SpreadsheetInternal::Sheet::m_rowHeightsMap

the row heights: map from rows positions to height in points

Referenced by RagTime5Spreadsheet::send().

int RagTime5SpreadsheetInternal::Sheet::m_textboxZoneId

the text zone id

Referenced by RagTime5Spreadsheet::send().

std::vector<TextPLC> RagTime5SpreadsheetInternal::Sheet::m_textPLCList

the text plc

std::map<MWAWVec3i, MWAWVec3i> RagTime5SpreadsheetInternal::Sheet::m_unitedCellMap

the list of united cell: map from TL cell to RB cell

std::vector<CellValue> RagTime5SpreadsheetInternal::Sheet::m_valuesList

the list of values

Referenced by RagTime5Spreadsheet::send(), and RagTime5SpreadsheetInternal::Sheet::Plane::update().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx